summaryrefslogtreecommitdiffstats
path: root/examples/guestfs-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'examples/guestfs-test.sh')
-rwxr-xr-xexamples/guestfs-test.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/examples/guestfs-test.sh b/examples/guestfs-test.sh
index b45c1f4..f487f50 100755
--- a/examples/guestfs-test.sh
+++ b/examples/guestfs-test.sh
@@ -13,6 +13,8 @@
# This is a realistic example for 'libguestfs', which contains a
# selection of command-line tools, LVM, NTFS and an NFS server.
+set -e
+
if [ $(id -u) -eq 0 ]; then
echo "Don't run this script as root. Read instructions in script first."
exit 1
@@ -62,6 +64,6 @@ chmod +x init
# Now run qemu to boot this guestfs system.
qemu-system-$(arch) \
- -m 128 \
+ -m 256 \
-kernel vmlinuz -initrd guestfs-initrd.img \
-hda guest-image -boot c